LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XAttributeList Interface Referencepublished

specifies an element's attributes. More...

`import"XAttributeList.idl";`

Inheritance diagram for XAttributeList:

## Public Member Functions
short | getLength ()
string | getNameByIndex ([in] short i)
string | getTypeByIndex ([in] short i)
string | getTypeByName ([in] string aName)
string | getValueByIndex ([in] short i)
string | getValueByName ([in] string aName)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies an element's attributes.

This interface describes a name-type-value triple which describes a single attribute of a tag. Implementors are encouraged to implement the com::sun::star::util::XCloneable interface also to allow the user to make a copy of the instance.

This interface is a poor IDL version of the Java interface org.xml.sax.AttributeList. For example in getValueByName, it does not allow to distinguish a missing value (for which the Java interface returns null) from an empty string value.

## Member Function Documentation

## ◆ getLength()

short getLength | ( |  | ) |

Returns
  the number of attributes in this list.

## ◆ getNameByIndex()

string getNameByIndex | ( | [in] short | i | ) |

Returns
  the name of an attribute in this list (by position).

## ◆ getTypeByIndex()

string getTypeByIndex | ( | [in] short | i | ) |

Returns
  the type of an attribute in the list (by position). Non-validating parsers may return CDATA only.

## ◆ getTypeByName()

string getTypeByName | ( | [in] string | aName | ) |

Returns
  the type of an attribute in the list (by name). Non-validating parsers may return CDATA only.

## ◆ getValueByIndex()

string getValueByIndex | ( | [in] short | i | ) |

Returns
  the value of an attribute in the list (by position).

## ◆ getValueByName()

string getValueByName | ( | [in] string | aName | ) |

Returns
  the value of an attribute in the list (by name).

The documentation for this interface was generated from the following file:

- com/sun/star/xml/sax/XAttributeList.idl